from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XPrintAreas(XInterface, Protocol):
    def getPrintAreas(self) -> list[CellRangeAddress]: ...
    def setPrintAreas(self, aPrintAreas: CellRangeAddress >) -> None: ...
    def getPrintTitleColumns(self) -> bool: ...
    def setPrintTitleColumns(self, bPrintTitleColumns: bool) -> None: ...
    def getTitleColumns(self) -> CellRangeAddress: ...
    def setTitleColumns(self, aTitleColumns: CellRangeAddress) -> None: ...
    def getPrintTitleRows(self) -> bool: ...
    def setPrintTitleRows(self, bPrintTitleRows: bool) -> None: ...
    def getTitleRows(self) -> CellRangeAddress: ...
    def setTitleRows(self, aTitleRows: CellRangeAddress) -> None: ...
